Subject: Re: bug#24926: ls output has been made ugly

From: "L. A. Walsh" <[email-masked]>
Date: Fri, 11 Nov 2016 11:40:36 -0800

Michael Schwager wrote:
>  I
> don't have single quotes in many of my filenames, although I do in some.
>   
---
    How did this get displayed?  In shell,
'foo \' bar' wouldn't be displayed correctly since you can't
use backslash to escape inside a single quoted string.

> That is just plain ugly. 
----
    Yeah, though I might use the term "noisy" as a primary
adjective.  :-)

Paul Eggert wrote:
> Michael Schwager wrote:
>> Don't you think I can see the spaces in my filenames?
> Not in general, no.  For example:
>
> $ ls --quoting-style=literal
> a  b  c
----
    You must have a strange version of something -- that's not
what I see:

>  touch 'a b' c
>  Ishtar:/tmp/tmp> ls
a b  c
Ishtar:/tmp/tmp> ls --quoting-style=literal
a b  c
Ishtar:/tmp/tmp> ls --quoting-style=shell
'a b'  c

Where (or under what conditions)
do you see the "a, b and c" being
spaced apart equally?